﻿--Adds visor shattering
local ids_func = Idstring
local table_contains = table.contains

local shatter_enemies = {
	ids_func("units/pd2_dlc_mad/characters/ene_akan_cs_heavy_ak47_ass/ene_akan_cs_heavy_ak47_ass"),
	ids_func("units/pd2_dlc_mad/characters/ene_akan_cs_heavy_ak47_ass/ene_akan_cs_heavy_ak47_ass_husk"),
	ids_func("units/pd2_dlc_mad/characters/ene_akan_cs_heavy_r870/ene_akan_cs_heavy_r870"),
	ids_func("units/pd2_dlc_mad/characters/ene_akan_cs_heavy_r870/ene_akan_cs_heavy_r870_husk"),
	ids_func("units/pd2_dlc_mad/characters/ene_akan_fbi_heavy_g36/ene_akan_fbi_heavy_g36"),
	ids_func("units/pd2_dlc_mad/characters/ene_akan_fbi_heavy_g36/ene_akan_fbi_heavy_g36_husk"),
	ids_func("units/pd2_dlc_mad/characters/ene_akan_fbi_heavy_r870/ene_akan_fbi_heavy_r870"),
	ids_func("units/pd2_dlc_mad/characters/ene_akan_fbi_heavy_r870/ene_akan_fbi_heavy_r870_husk")
}

Hooks:PreHook( CopDamage, "_spawn_head_gadget", "smash_HH_reapers", function(self, params)
	if not self._head_gear then
		return
	end

	local my_unit = self._unit

	if not table_contains(shatter_enemies, my_unit:name()) then
		return
	end
	
	local head_obj = ids_func("Head")
	local head_object_get = my_unit:get_object(head_obj)
	
	if not head_object_get then
		return
	end
	
	local world_g = World		
	local sound_ext = my_unit:sound()	
	
	world_g:effect_manager():spawn({
		effect = ids_func("effects/payday2/particles/impacts/metal_impact_pd2"),
		parent = head_object_get		
	})			
	
	sound_ext:play("swatturret_weakspot_hit", nil, nil)
end)
